about summary refs log tree commit diff
path: root/nixpkgs/pkgs/games/space-station-14-launcher/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nixpkgs/pkgs/games/space-station-14-launcher/update.sh')
-rwxr-xr-xnixpkgs/pkgs/games/space-station-14-launcher/update.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/nixpkgs/pkgs/games/space-station-14-launcher/update.sh b/nixpkgs/pkgs/games/space-station-14-launcher/update.sh
new file mode 100755
index 000000000000..8cfab508b0cc
--- /dev/null
+++ b/nixpkgs/pkgs/games/space-station-14-launcher/update.sh
@@ -0,0 +1,18 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -I nixpkgs=./. -i bash -p curl jq common-updater-scripts
+set -eo pipefail
+cd "$(dirname "${BASH_SOURCE[0]}")"
+
+deps_file="$(realpath "./deps.nix")"
+
+new_version="$(curl -s "https://api.github.com/repos/space-wizards/SS14.Launcher/releases?per_page=1" | jq -r '.[0].tag_name' | sed 's/v//')"
+old_version="$(sed -nE 's/\s*version = "(.*)".*/\1/p' ./space-station-14-launcher.nix)"
+
+if [[ "$new_version" == "$old_version" ]]; then
+  echo "Already up to date!"
+  exit 0
+fi
+
+cd ../../..
+update-source-version space-station-14-launcher.unwrapped "$new_version"
+$(nix-build -A space-station-14-launcher.fetch-deps --no-out-link) "$deps_file"